API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Create a speaker preset POSTDelete a speaker preset DELETEList speaker presets GETSet a speaker preset as default PATCHUpdate a speaker preset PUT
ReferenceSpeaker presets

Update a speaker preset

PUT/v1/projects/{projectId}/speaker-presets/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid
id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X PUT "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/speaker-presets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "speakers": [    "string"  ],  "isDefault": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Set a speaker preset as default PATCH

Previous Page

Register a webhook POST

The URL must be public HTTPS. The signing secret is returned once, on creation.

name?string
speakers?array<string>